STARCHSTRIP(1)

NAME
starchstrip - manual page for starchstrip 2.4.41+dfsg

DESCRIPTION
starchstrip

    citation: http://bioinformatics.oxfordjournals.org/content/28/14/1919.abstract

    https://doi.org/10.1093/bioinformatics/bts277

version:
    2.4.41 (typical)

authors:
    Alex Reynolds and Shane Neph

USAGE: starchstrip [ --include | --exclude ] <chromosome-list> <starch-file>

    * Add either the --include or --exclude argument to filter the specified

    <starch-file> for chromosomes in <chromosome-list> for inclusion or exclusion, respectively. Note that you can only specify either inclusion or exclusion.

    * The <chromosome-list> argument is a comma-separated list of chromosome names

    to be included or excluded. This list is a *required* argument to either of the two --include and --exclude options.

    * The output is a Starch archive containing those chromosomes specified for inclusion

    or what chromosomes remain after exclusion from the original <starch-file>. A new metadata payload is appended to the output Starch archive.

    * The output is written to the standard output stream -- use the output redirection

    operator to write the result to a regular file, e.g.:

    $ starchstrip --exclude chrA,chrB,chrC in.starch > out.starch

    * If a specified chromosome is not in the input Starch archive, it will be ignored

    during processing.

    * Filtering simply copies over raw bytes from the input Starch archive and

    no extraction or recompression is performed. Use 'starchcat' to update the metadata, if new attributes are required.

    Process Flags -------------------------------------------------------------------------- --include <chromosome-list> Include specified chromosomes from <starch-file>.

--exclude <chromosome-list>
    Exclude specified chromosomes from <starch-file>.

--version
    Show binary version.

--help
    Show this usage message.

SEE ALSO
The full documentation for starchstrip is maintained as a Texinfo manual. If the info and starchstrip programs are properly installed at your site, the command

    info starchstrip

should give you access to the complete manual.